=== revpi-config/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2023-2024 KUNBUS GmbH

install(PROGRAMS revpi-config
  DESTINATION ${CMAKE_INSTALL_BINDIR}/
)

set(MAN_PAGE_1 revpi-config.1)

add_custom_target(
  ${MAN_PAGE_1} ALL
  COMMAND scdoc < ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PAGE_1}.scd > ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PAGE_1}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PAGE_1}.scd
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PAGE_1}
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1/
)
