=== revpi-factory-reset/CMakeLists.txt ===
# SPDX-License-Identifier: GPL-2.0-or-later
#
# SPDX-FileCopyrightText: 2022-2025 KUNBUS GmbH

set(DATADIR ${CMAKE_INSTALL_FULL_DATADIR})
set(SYSCONFDIR ${CMAKE_INSTALL_FULL_SYSCONFDIR})
set(SBINDIR ${CMAKE_INSTALL_FULL_SBINDIR})

configure_file(
  revpi-factory-reset.in
  revpi-factory-reset
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
  @ONLY
)

configure_file(
  revpi-factory-reset.sh.in
  revpi-factory-reset.sh
  FILE_PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
  @ONLY
)

configure_file(
	revpi-functions
	revpi-functions
	COPYONLY
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/revpi-functions
  DESTINATION ${CMAKE_INSTALL_DATADIR}/revpi/
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/revpi-factory-reset
  DESTINATION ${CMAKE_INSTALL_SBINDIR}/
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/revpi-factory-reset.sh
  DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/profile.d/
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
)

set(MAN_PAGE_8 revpi-factory-reset.8)

add_custom_target(
  ${MAN_PAGE_8} ALL
  COMMAND scdoc < ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PAGE_8}.scd > ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PAGE_8}
  DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${MAN_PAGE_8}.scd
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${MAN_PAGE_8}
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/
)
