=== debian/changelog ===
revpi-tools (4.5.4-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * fix(resize-fs): remove race condition with /tmp

 -- Ramiro Gsponer <r.gsponer@kunbus.com>  Mon, 29 Sep 2025 22:20:12 +0200

revpi-tools (4.5.3-1+deb12+1) bookworm; urgency=medium

  [ Ramiro Gsponer ]
  * fix: replace parted dependency with growpart

  [ Thomas Böhler ]
  * fix(firstboot): split service, fix ordering
  * fix(resize-fs): use growpart for resizing

  [ Ramiro Gsponer ]
  * fix(resize-fs): run resize-fs after local-fs

 -- Ramiro Gsponer <r.gsponer@kunbus.com>  Tue, 23 Sep 2025 11:06:36 +0200

revpi-tools (4.5.2-1+deb12+1) bookworm; urgency=medium

  * fix(revpi-config): don't let Bluetooth toggle WLAN

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 01 Sep 2025 15:02:27 +0200

revpi-tools (4.5.1-1+deb12+1) bookworm; urgency=medium

  * fix(factory-reset): check first if ran before
  * test(factory-reset): minimal output if run before
  * fix(revpi-config): update NetworkManager state
  * feat(revpi-config): check if WLAN country is set

 -- Thomas Böhler <t.boehler@kunbus.com>  Mon, 11 Aug 2025 14:59:17 +0200

revpi-tools (4.5.0-1+deb12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * build: failed tests fail the CMake tests as well
  * feat(factory-reset): prepare for tests
  * test(factory-reset): add HAT EEPROM test
  * fix(factory-reset): Exit early if flag set
  * build: copy revpi-functions to builddir
  * test(factory-reset): add test for hostname prefix
  * test(factory-reset): skip if state file present
  * test(factory-reset): test for default hostname
  * test(factory-reset): check for created state file

  [ Ramiro Gsponer ]
  * feat: Add function to set WiFi country code
  * feat: Use global CMDLINE variable for path
  * feat: Add get_wifi_country function
  * fix: Update wifi country settings functions
  * revert: "feat: Add function to set WiFi country code"

  [ Marc Kittner ]
  * feat: Remove sudoers rule for revpi-factory-reset
  * test(factory-reset): add test to rm sudoers file

  [ Thomas Böhler ]
  * test(factory-reset): remove missing sudoers file

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 29 Jul 2025 15:42:47 +0200

revpi-tools (4.4.1-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * fix(firstboot): Ensure cache is written to disk after ssh key generation

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 24 Jan 2025 10:46:29 +0100

revpi-tools (4.4.0-1+deb12+1) bookworm; urgency=medium

  [ Sven Sager ]
  * fix(firstboot): Add dependency to reboot.target in unit file
  * fix(factory-reset): Write error and warning messages to stderr

  [ Thomas Böhler ]
  * build: integrate kyua testing into CMake
  * fix(factory-reset): give timeout more context
  * refactor(set-mac): add usage function
  * feat(set-mac): print usage on wrong device type
  * fix(set-mac): compute datadir
  * fix(factory-reset): compute datadir and sysconfdir
  * build: use CMAKE_CURRENT_{SOURCE,BINARY}_DIR
  * build: install factory-reset files with good perms
  * build: loop over all eeprom hex files
  * fix(set-mac): quote expanded variables

  [ Sven Sager ]
  * fix(firstboot): Combine first boot jobs in the firstboot.service file
  * fix(firstboot): Execute tasks in the right order in boot process

  [ Thomas Böhler ]
  * refactor(factory-reset): rewrite man page in scdoc
  * doc(factory-reset): rewrite man page
  * feat(factory-reset): allow custom hostname prefix
  * doc(factory-reset): mention custom hostname prefix
  * build: install revpi-factory-reset.8 from bindir

 -- Thomas Böhler <t.boehler@kunbus.com>  Thu, 16 Jan 2025 11:48:28 +0100

revpi-tools (4.3.1-1+deb12+1) bookworm; urgency=medium

  * doc(revpi-set-mac): list device types in man page
  * doc(revpi-config): improve SYNOPSIS readability
  * doc(man-pages): underline replaceable text
  * doc(revpi-set-mac): add FILES section
  * fix(lan743x): expand binary to 512 bytes

 -- Thomas Böhler <t.boehler@kunbus.com>  Tue, 26 Nov 2024 14:31:00 +0100

revpi-tools (4.3.0-1+deb12+1) bookworm; urgency=medium

  [ Ahmad Arabi Katbi ]
  * feat!: Remove perf-governer
  * feat!: Remove downclock-cpu for clock handling
  * doc(manpage): Convert manpage to scdoc format

  [ Nicolai Buchwitz ]
  * fix: Simplify bluetooth status detection

  [ Thomas Böhler ]
  * fix(deb): add dphys-swapfile to suggests

  [ Nicolai Buchwitz ]
  * feat(revpi-config): Simplify detection of Connect
  * feat(revpi-config): Add support for Connect 5

 -- Sven Sager <s.sager@kunbus.com>  Mon, 11 Nov 2024 09:29:40 +0100

revpi-tools (4.2.2-1+revpi12+1) bookworm; urgency=medium

  * fix(pibridge): Move files to -base-files
  * feat(deb): Break on revpi-base-files < 0.4.0
  * fix(deb): Depend on raspi-utils

 -- Nicolai Buchwitz <n.buchwitz@kunbus.com>  Thu, 11 Jul 2024 13:41:29 +0200

revpi-tools (4.2.1-1+revpi12+1) bookworm; urgency=medium

  [ Ramiro Gsponer ]
  * fix(factory-reset): remove dependency for user pi
  * chore: Update copyright date
  * chore(factory-reset): Update factory reset path

  [ Thomas Böhler ]
  * fix(pibridge): pibridge.conf moves to base-files
  * feat(deb): Break on revpi-base-files < 0.3.0

 -- Thomas Böhler <t.boehler@kunbus.com>  Fri, 28 Jun 2024 09:57:05 +0200

revpi-tools (4.2.0-1+revpi12+1) bookworm; urgency=medium

  [ Thomas Böhler ]
  * fix(deb): Mention present parts in description
  * doc(deb): Update copyright years
  * ci: Add commit linting
  * ci: udev is no longer needed to build revpi-tools
  * fix(factory-reset): Make scripts executable
  * doc: Rewrite ks8851-set-mac(8) in scdoc syntax
  * build: Install man pages in loop
  * doc: Rewrite pibridge-shutdown(8) in scdoc syntax
  * doc: Add man page for lan743x-set-mac
  * doc: Add man page for lan78xx-set-mac
  * doc: Add man page for lan95xx-set-mac
  * doc: Add man page for revpi-set-mac
  * ci: Add scdoc dependency for building

  [ Philipp Rosenberger ]
  * fix: Install lan743x.bin

  [ Thomas Böhler ]
  * feat: Make resize-fs.sh testable

