=== debian/control ===
Source: revpi-tools
Section: electronics
Priority: optional
Maintainer: KUNBUS GmbH <support@kunbus.com>
Rules-Requires-Root: binary-targets
Homepage: https://revolutionpi.com/
Vcs-Browser: https://gitlab.com/revolutionpi/revpi-tools
Vcs-Git: https://gitlab.com/revolutionpi/revpi-tools.git -b debian/bookworm
Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-python,
  libftdi1-dev,
  pkg-config,
  python3-all,
  scdoc,
  systemd,
  xxd
Standards-Version: 4.6.2

Package: revpi-tools
Architecture: any
Multi-Arch: foreign
Depends:
  cloud-guest-utils,
  e2fsprogs,
  ethtool,
  iproute2,
  raspi-utils,
  piserial (>= 3.0.0),
  python3-ftdi1,
  sudo,
  whiptail,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
Suggests:
  revpi-sos-report,
  avahi-daemon,
  dphys-swapfile,
Replaces: revpi-webstatus (<< 1:2.1.0)
Breaks:
  piserial (<< 3.0.0),
  revpi-webstatus (<< 1:2.1.0),
  revpi-base-files (<< 0.4.0),
Description: Revolution Pi tools
 Assorted tools and support files for Revolution Pi products:
 .
  * scripts to enable/disable the relay watchdog on the RevPi Connect
  * sosreport plugin to collect Revolution Pi related system information
    which can be submitted to Kunbus as part of a support request
  * revpi-factory-reset is used to finalize a RevPi after the factory end
    of line test
 .
 Revolution Pi is a set of IoT products based on the Raspberry Pi and
 geared towards industrial usage.
